@use "../abstracts" as *;

.clock {
  position: relative;
  background-color: var(--primary-700);
  width: 90%;
  max-width: 360px;
  min-width: 120px;
  background-image: url("../../img/clock_marks.svg");
  background-size: 130%;
  background-position: center center;
  background-repeat: no-repeat;
  float: left;

  border-radius: 50%;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.5);

  &:before {
    content: "";
    float: left;
    padding-top: 100%; /* initial ratio of 1:1*/
  }

  display: flex;

  align-items: center;
  justify-content: center;

  &_time-left {
    line-height: 1;
    text-align: center;
    font-size: 1.8rem;

    .minutes-box {
      color: var(--grey-400);
    }

    &_hours {
      font-size: 4.8rem;
      font-weight: 800;
    }

    &_minutes {
      font-size: 2.4rem;
      font-weight: 800;
    }
  }
}
